<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        td {
            border: 1px black solid;
            padding: 20px 70px;
        }

        .verde {
            background-color: green;
        }
    </style>
</head>

<body>
    <div class="container">
        <p>Confeccionar una pagina que muestre una tabla con diez filas y cuatro columnas. Cuando el usuario pinche en
            cualquiera de las filas, se cambiara el color de fondo de esa fila a verde, de la siguiente y de la
            anterior.
            si la vila pulsada ya tiene color verde, volvera a ser blanco cuando la pinchen de nuevo.
        </p>
        <table>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
        </table>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $('tr').click(function () {
            let indice = $('tr').index(this);
            $('tr').each(function () {
                if ($(this).index() == indice || $(this).index() == indice + 1 || $(this).index() == indice - 1) {

                    /*if ($(this).hasClass('verde')) {
                        $(this).removeClass('verde');
                    } else {
                        $(this).addClass('verde');
                    }*/

                    if ($(this).css("backgroundColor") == "rgb(0, 128, 0)") {
                        $(this).css({ "backgroundColor": "unset" });
                    } else {
                        $(this).css({ "backgroundColor": "green" });
                    }

                }
            })
        });
    </script>
</body>

</html>